export default class TierManager extends events.EventEmitter {
    constructor(platform: any, cloudUrl: any);
    _platform: any;
    _cloudUrl: any;
    devices: any;
    ownTier: string;
    ownIdentity: string;
    _serverSocket: tc.ServerConnection | null;
    _clientConfigurations: {};
    _clientSockets: {};
    _backoffs: {};
    _handlers: {};
    get ownAddress(): string;
    _backoffTimer(address: any): any;
    tryConnect(address: any): Promise<void>;
    _tryOpenClient(address: any): Promise<void>;
    _tryOpenServer(): Promise<void>;
    addCloudConfig(): void;
    removeCloudConfig(): void;
    _addAllServerConfigs(): void;
    addServerConfig(identity: any, config: any): void;
    removeServerConfig(identity: any): void;
    start(): Promise<void>;
    stop(): Promise<void>;
    registerHandler(target: any, handler: any): void;
    _routeMessage(address: any, msg: any): void;
    isClientTier(address: any): boolean;
    isConnected(address: any): boolean;
    closeConnection(address: any): Promise<void>;
    getClientConnections(): string[];
    sendTo(address: any, msg: any): Promise<void>;
    sendToAll(msg: any): void;
}
import * as events from "events";
import * as tc from "./tier_connections";
